summaryrefslogtreecommitdiffstats
path: root/source/a/gettext/gettext-tools.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/gettext/gettext-tools.SlackBuild')
-rwxr-xr-xsource/a/gettext/gettext-tools.SlackBuild20
1 files changed, 13 insertions, 7 deletions
diff --git a/source/a/gettext/gettext-tools.SlackBuild b/source/a/gettext/gettext-tools.SlackBuild
index 134066195..0ed840dcc 100755
--- a/source/a/gettext/gettext-tools.SlackBuild
+++ b/source/a/gettext/gettext-tools.SlackBuild
@@ -20,8 +20,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=0.17
-BUILD=${BUILD:-4}
+VERSION=0.18.1.1
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j6 "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -77,7 +79,9 @@ CXXFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--docdir=/usr/doc/gettext-tools-$VERSION \
--build=$ARCH-slackware-linux
-make -j4 || exit 1
+
+make $NUMJOBS || make || exit 1
+
cd gettext-tools
make install DESTDIR=$PKG
@@ -85,12 +89,12 @@ make install DESTDIR=$PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
+
rm -f $PKG/usr/info/dir
gzip -9 $PKG/usr/info/*
gzip $PKG/usr/man/man?/*
-( cd $PKG/usr/doc
- mv gettext gettext-tools-$VERSION
- cd gettext-tools-$VERSION
+
+( cd $PKG/usr/doc/gettext-tools-$VERSION
# These take up a ton of space otherwise
tar cf examples.tar examples
bzip2 -9 examples.tar
@@ -103,12 +107,14 @@ gzip $PKG/usr/man/man?/*
rm -f ABOUT-NLS
ln -sf /usr/share/gettext/ABOUT-NLS .
)
+
cp -a \
AUTHORS ../COPYING INSTALL NEWS README \
$PKG/usr/doc/gettext-tools-$VERSION
+
mkdir -p $PKG/install
cat $CWD/slack-desc.gettext-tools > $PKG/install/slack-desc
cd $PKG
-makepkg -l y -c n $TMP/gettext-tools-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/gettext-tools-$VERSION-$ARCH-$BUILD.txz